RewriteEngine On
#File Ending Remove
RewriteBase /
RewriteCond %{REQUEST_FILENAME}.php -f
RewriteRule (.*) $1.php



Header set Access-Control-Allow-Origin "https://blog.fun-fm.de"
Header set Access-Control-Allow-Origin "https://www.fun-fm.de"
Header set Access-Control-Allow-Origin "https://hls.fun-fm.com"
Header set Access-Control-Allow-Origin "https://cdn.fun-fm.com"
Header set Access-Control-Allow-Origin "https://cdn.fun-fm.de"
Header set Access-Control-Allow-Origin "https://streaming.tbrmedia.de"
Header set Access-Control-Allow-Origin "https://streaming.fun-fm.com"
Header set Access-Control-Allow-Origin "https://api.laut.fm"
Header set Access-Control-Allow-Methods "GET, POST, OPTIONS"
Header set Access-Control-Allow-Headers "Content-Type, Authorization"
Header set Access-Control-Allow-Credentials "true"

<IfModule mod_rewrite.c>
  RewriteEngine On
  RewriteCond %{REQUEST_METHOD} OPTIONS
  RewriteRule ^(.*)$ $1 [R=200,L]
</IfModule>

<IfModule mod_headers.c>
    # Allow specific domains
    SetEnvIf Origin "^http(s)?://(.+\.)?fun-fm\.com$" CORS_ALLOW_ORIGIN=$0
    SetEnvIf Origin "^http(s)?://(.+\.)?fun-fm\.de$" CORS_ALLOW_ORIGIN=$0
    Header set Access-Control-Allow-Origin %{CORS_ALLOW_ORIGIN}e env=CORS_ALLOW_ORIGIN
    Header set Access-Control-Allow-Methods "GET,POST,OPTIONS"
    Header set Access-Control-Allow-Headers "DNT,User-Agent,X-Requested-With,If-Modified-Since,Cache-Control,Content-Type,Range"
    Header set Access-Control-Expose-Headers "Content-Length,Content-Range"
</IfModule>

# php -- BEGIN cPanel-generated handler, do not edit
# Set the “ea-php70” package as the default “PHP” programming language.
<IfModule mime_module>
  AddHandler application/x-httpd-ea-php70 .php .php7 .phtml
</IfModule>
# php -- END cPanel-generated handler, do not edit
